syntax = "proto3";

package v2ray.core.app.log;
option csharp_namespace = "V2Ray.Core.App.Log";
option go_package = "github.com/v2fly/v2ray-core/v5/app/log";
option java_package = "com.v2ray.core.app.log";
option java_multiple_files = true;

import "common/log/log.proto";
import "common/protoext/extensions.proto";

enum LogType {
  None = 0;
  Console = 1;
  File = 2;
  Event = 3;
}

message LogSpecification {
  LogType type = 1;
  v2ray.core.common.log.Severity level = 2;
  string path = 3;
}

message Config {
  option (v2ray.core.common.protoext.message_opt).type = "service";
  option (v2ray.core.common.protoext.message_opt).short_name = "log";

  reserved 1,2,3,4,5;

  LogSpecification error = 6;
  LogSpecification access = 7;
}
